<bugID>345033<Summary>Non focused middle-click opened tabs do not have a parent tab set</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1b1) Gecko/20060717 BonEcho/2.0b1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1b1) Gecko/20060717 BonEcho/2.0b1

With "Select new tabs opened from links" option unchecked middle-clicking a link will open a new non-focused tab but it will not have a parent tab set.
Closing the new one will bring the user to the rightmost tab instead of the previously selected one.

Reproducible: Always

Steps to Reproduce:
1. Uncheck "Select new tabs opened from links" from Tools -&gt; Options... -&gt; Tabs 
2. Middle-click a link (a new tab will open in background)
3. Switch to the new tab and then close it

Actual Results:  
The rightmost tab is selected.

Expected Results:  
The last select tab should be selected.

It looks like the new tab will loose the "parent" even with "Select new tabs opened from links" checked just moving around tabs.</Description></bugID>